%define section free
%if "%{?rhel}" == "6"
%define _jarsign_opts --unsign=%{_javadir}
%endif

%global reltag .Final_redhat_2
%global meadversion %{version}.Final_redhat_2
%global mavenversion %{version}.Final-redhat-2

%global mavengroup org.jboss.spec.javax.management.j2ee
%global artifact0 %{name}

%bcond_without mead

%global title JavaEE Management 1.1 API

%define maven_version 1.0.1.Final-redhat-2

Name:    jboss-j2eemgmt-api_1.1_spec
Version: 1.0.1
Release: 5%{reltag}%{?dist}
Epoch:   0

License: GNU Library or "Lesser" General Public License version 2.1 (LGPL-2.1)
Summary: %{title}
Group:   Development/Libraries/Java

%if %with mead
Source100: org.jboss.spec.javax.management.j2ee-jboss-j2eemgmt-api_1.1_spec-1.0.1.Final-redhat-2-sources.zip
Source101: org.jboss.spec.javax.management.j2ee-jboss-j2eemgmt-api_1.1_spec-1.0.1.Final-redhat-2-patches.zip
Source102: jboss-j2eemgmt-api_1.1_spec-1.0.1.Final-redhat-2.pom
Source103: jboss-j2eemgmt-api_1.1_spec-1.0.1.Final-redhat-2-sources.jar
Source104: jboss-j2eemgmt-api_1.1_spec-1.0.1.Final-redhat-2-javadoc.jar
Source105: jboss-j2eemgmt-api_1.1_spec-1.0.1.Final-redhat-2.jar
%endif

URL:     https://github.com/jboss/jboss-j2eemgmt-api_spec

BuildRequires: unzip

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Obsoletes: jboss-j2eemgmt-api_1.1_spec-sources <= 0:1.0.1-1.Final_redhat_2%{?dist}

%description
JSR-77 JavaEE Management 1.1 API classes.

%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/

%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}.jar
#%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{mavenversion}-sources.jar

(cd %{buildroot}%{_javadir}/ && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP %{artifact0}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_sourcedir}/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/
%exclude %{_javadocdir}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-5.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:1.0.1-4.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.1-3.Final_redhat_1.1
- Rebuild using cache signing

* Tue Jun 12 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-3.Final_redhat_1
- Add Obsoletes for previous sources sub package

* Thu May 31 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Remove javadocs from main package
- Remove sources jar RPM and add to main package

* Wed May 02 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-4.Final_redhat_1.1.1
- Rebuild using cache signing

* Fri Mar 23 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-4.Final_redhat_1.1
- Upgrade to new wrapper
- Fix jars' installation path

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 0:1.0.0-3_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-2_redhat_1
- fix pom to use new BOM
- rebuild for sign key

* Thu Oct 27 2011 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-1_redhat_1
- Build for Werewolf
